# Uses of Class
org.apache.solr.client.solrj.request.CollectionAdminRequest.InstallShard

Packages that use CollectionAdminRequest.InstallShard
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.InstallShard in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return CollectionAdminRequest.InstallShard
Modifier and Type
Method
Description
`static CollectionAdminRequest.InstallShard`
CollectionAdminRequest.`installDataToShard(String collection, String shard, String location)`
Install index data to a specific shard of a specific collection
`static CollectionAdminRequest.InstallShard`
CollectionAdminRequest.`installDataToShard(String collection, String shard, String location, String backupRepository)`
Install index data to a specific shard of a specific collection